%define rel 2
%define prefix /usr
%define confdir /etc
%define statedir /var

Name: xkbsel
Version: 0.13
Release: %{rel}
Copyright: GPL
Source: ftp://ftp.penguin.cz/pub/users/stano/i18n/%{name}-%{version}.tar.gz
URL: http://www.penguin.cz/~stano/en/xkbsel.html
Requires: XFree86
BuildPrereq: kdelibs-devel
Buildroot: /var/tmp/%{name}-root
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Pracovn plocha
Summary: A tool for defining, selecting and indicating XKB keyboards
Summary(cs): Nstroj pro definici, vbr a indikaci XKB klvesnice

%description
xkbsel is a framework for defining, selecting and
indicating XKB keyboard mappings, without the need
to modify X11 distribution in any way.

This package contains the maintenance application
the command-line tool and the simple Xaw GUI tool.

%description -l cs
Program xkbsel umouje definici, vbr a indikaci XKB klvesnice
z programov lity tak, jak to uivatel znaj z Windows.
Je uren pro prosted X Window System.

Tento balek obsahuje aplikace pro sprvu, nstroj pro
pkazovou dku a jednoduch Xaw GUI nstroj.

%prep
if [ ! "${RPM_BUILD_ROOT}" = "/" ]; then
  rm -rf "${RPM_BUILD_ROOT}" ;
fi

%setup

%build
[ -z $LINGUAS ] || unset LINGUAS
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-kde --with-gnome --with-wmaker \
	--prefix=%{prefix} --sysconfdir=%{confdir} \
	--localstatedir=%{statedir}
make

%install
[ -z $LINGUAS ] || unset LINGUAS
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{confdir} \
	localstatedir=$RPM_BUILD_ROOT%{statedir} install-strip

%clean
if [ ! "${RPM_BUILD_ROOT}" = "/" ]; then
  rm -rf "${RPM_BUILD_ROOT}" ;
fi

%package common
Requires: XFree86
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Pracovn plocha
Summary: A tool for defining, selecting and indicating XKB keyboards
Summary(cs): Nstroj pro definici, vbr a indikaci XKB klvesnice

%description common
xkbsel is a framework for defining, selecting and
indicating XKB keyboard mappings, without the need
to modify X11 distribution in any way.

This package contains the maintenance application
the command-line tool and the simple Xaw GUI tool.

%description common -l cs
Program xkbsel umouje definici, vbr a indikaci XKB klvesnice
z programov lity tak, jak to uivatel znaj z Windows.
Je uren pro prosted X Window System.

Tento balek obsahuje aplikace pro sprvu, nstroj pro
pkazovou dku a jednoduch Xaw GUI nstroj.

%post common
/usr/bin/xkbseldb -R

%preun common
if [ "$1" = 0 ]; then
  rm -rf %{statedir}/%{name}/compiled/*
  rm -f %{statedir}/%{name}/xkbseldb.*
fi

%package devel
Requires: xkbsel-common XFree86-devel
Group: Development/Libraries
Group(cs): Vvojov prostedky/Knihovny
Summary: Header files and libraries for developing xkbsel applications
Summary(cs): Hlavikov soubory a knihovny pro vvoj aplikac xkbsel

%description devel
Header files and libraries for developing selectors
and indicators in the xkbsel framework.

%description devel -l cs
Hlavikov soubory a knihovny pro vvoj aplikac s vbrem
a indikac v panelu.

%package kde
Requires: xkbsel-common kdebase
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Pracovn plocha
Summary: Dockable XKB keyboard selector and indicator for KDE
Summary(cs): Nstroj pro vbr XKB klvesnice a jej indiktor pro KDE

%description kde
xkbsel is a framework for defining, selecting and
indicating XKB keyboard mappings, without the need
to modify X11 distribution in any way.

This package contains the dockable selector
and indicator for kpanel.

%description kde -l cs
Program xkbsel umouje definici, vbr a indikaci XKB klvesnice
z programov lity tak, jak to uivatel znaj z Windows.
Je uren pro prosted X Window System.

Tento balek obsahuje pepna klvesnice, kter se umisuje
do panelu KDE.

%package gnome
Requires: xkbsel-common gnome-core
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Pracovn plocha
Summary: XKB keyboard selector and indicator applet for Gnome
Summary(cs): Nstroj pro vbr XKB klvesnice a jej indiktor pro Gnome

%description gnome
xkbsel is a framework for defining, selecting and
indicating XKB keyboard mappings, without the need
to modify X11 distribution in any way.

This package contains the dockable selector
and indicator applet for the Gnome panel.

%description gnome -l cs
Program xkbsel umouje definici, vbr a indikaci XKB klvesnice
z programov lity tak, jak to uivatel znaj z Windows.
Je uren pro prosted X Window System.

Tento balek obsahuje pepna klvesnice, kter se umisuje
do panelu Gnome.

%package wmaker
Requires: xkbsel-common gtk+
Group: User Interface/Desktops
Group(cs): Uivatelsk rozhran/Pracovn plocha
Summary: XKB keyboard selector and indicator applet for Window Maker
Summary(cs): Nstroj pro vbr XKB klvesnice a jej indiktor pro Window Maker

%description wmaker
xkbsel is a framework for defining, selecting and
indicating XKB keyboard mappings, without the need
to modify X11 distribution in any way.

This package contains the dockable selector
and indicator applet for the Window Maker.

The code was contributed by Kaspar Toomik <kt@personalchemistry.com>.

%description wmaker -l cs
Program xkbsel umouje definici, vbr a indikaci XKB klvesnice
z programov lity tak, jak to uivatel znaj z Windows.
Je uren pro prosted X Window System.

Tento balek obsahuje pepna klvesnice, kter se umisuje
do panelu Window Makeru.

Kd pochz od Kaspar Toomik <kt@personalchemistry.com>.

%files common
%defattr(-, root, root)

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{prefix}/bin/xkbseldb
%{prefix}/bin/xkbsel
%{prefix}/bin/xkbsel-aw
%{prefix}/man
%{prefix}/share/xkbsel
%{prefix}/share/locale
%{statedir}
%config %{confdir}/xkbsel.conf

%files devel
%defattr(-, root, root)
%{prefix}/lib
%{prefix}/include
%doc COPYING AUTHORS NEWS doc/protocol.txt

%files kde
%defattr(-, root, root)
%{prefix}/bin/xkbsel-kde
%{prefix}/share/applnk/Utilities/xkbsel-kde.kdelnk

%files gnome
%defattr(-, root, root)
%{prefix}/bin/xkbsel_gnome_applet
%{prefix}/share/applets/Utility/xkbsel_gnome_applet.desktop
%{confdir}/CORBA/servers/xkbsel_gnome_applet.gnorba

%files wmaker
%defattr(-, root, root)
%{prefix}/bin/wmxkbsel

%changelog
* Sun Apr 9 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- installation scripts updated (thanx to Stanislav)
- translations to czech language

* Sun Apr 9 2000 Stanislav Meduna <stano@trillian.eunet.sk>
- version 0.13 released

* Sun Jul 25 1999 Stanislav Meduna <stano@trillian.eunet.sk>
- first public version
